function [timevent] = findtimevents2(spevent)

%--------------------------------------------------------------------------
% what: function assigning events that are adjecent in time and space to
% one timevent. timevents is like       | timevent | spatial event |
% each event can only have one timevent, one timevent can have several
% events. 
% date: 07 April 13
% Author: Karoline Neumann
%--------------------------------------------------------------------------




m = 2;              % counter for rows in timevent
t = 2;              % counter for nr of timevents
k = 1;
urban = zeros;
newframe = zeros(1,5);
lastframe = zeros(1,5);
timevent = zeros(1,2);
C1 = 0;
C2 = 0;

while k < length(spevent)                                        
%while k < 1430
    C1 = C1+1;                                                              % C1 counts triggered cells within an event
    C2 = C2+1;                                                              % C2 counts triggered cells within a frame
    
    
    
    if k ==1                                                  
        newframe(1,1) = 1;
        newframe(1,2) = spevent(1,1);
        newframe(1,3) = spevent(1,4);
        newframe(1,4) = spevent(1,5);
        newframe(1,5) = spevent(1,3);
        timevent(1,1) = 1;
        timevent(1,2) = spevent(1,1);
        lastframe = newframe;
        newframe = zeros;
        C2 = 0;
        C1 = 0;
    elseif k ~= 1                                                           % if it's not the first trig cell
    
        if spevent(k-1,3)+1 ~=spevent(k,3) && spevent(k-1,3) ~=spevent(k,3)                                    % if there has been blank frames inbetween
          lastframe = zeros(1,5);
          newframe = zeros(1,5);
        end
        
        L = size(lastframe);
        
        for l = 1:L(1,1)                                                % going through lastframe
            if (spevent(k,4) == lastframe(l,3) && spevent(k,5) == lastframe(l,4)) && (spevent(k,3) == spevent(k-1,3)+1 || spevent(k,3)==spevent(k-1,3))     % if (i,j) equal and no blank frames
               urban(lik) = lastframe(l,2);
               lik = lik+1;
               %disp('fant lik!')
            end
         end
               
      if spevent(k+1,1) ~= spevent(k,1)                                     % if next event is different, update timevent and newframe. C1 = 0 and urban = zeros
            if urban==zeros                                                 % if all cells in event is checked and no (i,j) found
                timevent(m,1) = t;                                          % make new timevent
                timevent(m,2) = spevent(k,1);
                if newframe == zeros
                    S = 1;
                else
                    S = size(newframe)+1;
                end
                for p = S(1,1):S(1,1)+C1-1
                    newframe(p,1) = t;
                    
                end
                m = m+1;
                t = t+1;
             else                                                            % is any (i,j) found for this event
                
                [r,col] = find(lastframe(:,2)==mode(urban));                  % use the timevent for the event with most (i,j) in common from lastframe
                timevent(m,1) = lastframe(r(1),1);
                timevent(m,2) = spevent(k,1);
                if newframe == zeros
                    S = 1;
                else
                    S = size(newframe)+1;
                end
                for p = S(1,1):S(1,1)+C1-1
                    newframe(p,1) = lastframe(r(1),1);
                    
                end
                m = m+1;
            end
            
%         if k > 1370 && k<1430
%               urban
%         end
        
        C1 = 0;
        urban = zeros;
        lik = 1;
      end
      
      
      
      if spevent(k,3) ~= spevent(k+1,3)                                     % if it's a new frame next

          for n = 1:C2                                                      % make newframe for the entire frame just passed                                 
            newframe(n,2) = spevent(k-C2+n,1);
            newframe(n,3) = spevent(k-C2+n,4);
            newframe(n,4) = spevent(k-C2+n,5);
            newframe(n,5) = spevent(k-C2+n,3);
          end
          %newframe
          lastframe = newframe;
          newframe = zeros(1,5);
          C2 = 0; 
          
%           if k > 1370 && k<1430
%               lastframe
%           end
          
     end
      
      if spevent(k-1,3)+1 ~=spevent(k,3) && spevent(k-1,3) ~=spevent(k,3)                                    % if there has been blank frames inbetween
          C1 = 0;
          C2 = 0;
      end
      
    end

    
    
    k = k+1;
   %newframe
end

timevent2 = timevent;