function [fevent] = maxteventsum(timevent,spevent)

%--------------------------------------------------------------------------
% What: function finding what timevents has larger sum value
% gives out fevent showing timevent in left column and value sum in right,
% sorted by value, biggest on top
% Author: Karoline Neumann
% Last updated: 19 Feb 13
%--------------------------------------------------------------------------


k = 1;  % teller unike timevents
fevent = zeros(1,2);

for i = 1:length(timevent)                              % gr gjennom timevent
   for j = 1:length(spevent)                            % gr gjennom spevent
      if spevent(j,1) == timevent(i,2)                  % hvis eventen i timevent er lik eventen i spevent
         fevent(k,1) = timevent(i,1);                   % lagre timevent i venstre kolone i fevent
         fevent(k,2) = fevent(k,2) + timevent(i,2);     % legger til value + den velue som allerede var der i hyre kolone i fevent
         
         if j~=length(spevent) && spevent(j+1,1)~=spevent(j,1)              % bryter ut av innerste loop hvis neste event i spevent er annerledes enn den gjeldende (er sortert)
          break
         end
      end
      
   end
   
   if i ~= length(timevent) && timevent(i,1) ~= timevent(i+1,1)     % hvis neste rad i timevent er en ny timevent -> incrementer k
       k = k+1;
   end
   
end

fevent = sortrows(fevent,-2);