function [] = spatialplot(timevent,spevent,tevent,event)

%--------------------------------------------------------------------------
% what: function plotting riseup spatial pressure-area curve for given
% timeventnr (tevent) until given max event (event).
% Date: 03 March 13
% Author: Karoline Neumann
%--------------------------------------------------------------------------

process = zeros;

figure

[nrcolor] = find(timevent(:,1)==tevent);
nrcolor = timevent(nrcolor,2)<= event;
nrcolor = find(nrcolor);
nrcolor = length(nrcolor);
cmap = jet(nrcolor);
m = 1;
J = 1;
for i = 1:length(timevent)                                                 % going through timevent
    if timevent(i,1) == tevent                                             % if it's the timevent we are looking for
        k = 1;
        spatial = zeros;
        for j = 1:length(spevent)                                          % going thruogh spevent
            if spevent(j,1) == timevent(i,2) && spevent(j,1) <= event      % if it's one of the events within that timevent and it's in the buildup
                spatial(k,1) = spevent(j,2);
                k = k+1;
                J = j;
                if spevent(J,1) > event
                     break
                end
            end
        end
  
        if timevent(i,2) > event
            break
        end
        
        spatial = sort(spatial,'descend');
        
        for l = 2:length(spatial)
            spatial(l,1) = spatial(l-1,1)+spatial(l,1);
        end
        spatial(1:length(spatial),2) = 1:length(spatial);
        spatial(:,1) = spatial(:,1)./spatial(:,2);
        
        plot(spatial(:,2).*0.010911*9.16458*10^-3*0.64,spatial(:,1), 'Color',cmap(m,:));        % her ganges det med 0.64! er det rett?, ja ok. det observerte trykket virker kun over faktisk sensor omrde
        
        S = size(spatial);
        S = S(1,1);
        process(m,1) = spatial(S,2)*0.010911*9.16458*10^-3*0.64;  % process curve areal
        process(m,2) = spatial(S,1);
       
        
        hold on
        m = m+1;
        
    end
end

plot(process(:,1),process(:,2),'*','color','black')