function [] = colorbarplot(event,spevent)

%--------------------------------------------------------------------------
% what: function plotting a 3d colored bar plot for the given event (event)
% Date: 04 March
% Author: Karoline Neumann
%--------------------------------------------------------------------------

matrix = zeros(44,48);
%disp(event)
t = 1;
for i = 1:length(spevent)
    if spevent(i,1) == event
        matrix(spevent(i,4),spevent(i,5)) = spevent(i,2);
        frame = spevent(i,3);
        index(t,1) = spevent(i,4);
        index(t,2) = spevent(i,5);
        index(t,3) = spevent(i,3);
        t=t+1;
    end
end

%disp(index)
h = bar3(matrix);

%colorbar
shading interp


for j = 1:length(h)
    zdata = get(h(j),'ZData');
    set(h(j),'CData',zdata)
    set(h,'EdgeColor','k')
end

title(num2str(frame))