function [spevent] = sortevent(pevent)

%--------------------------------------------------------------------------
% What: function sorting out known noise and values below lower limit.
% gives out spevent sorted on eventnr, new numbering. spevent is as follows
%
% % |eventnr|value|frame|i|j|
%
% Author: Karoine Neumann
% Last updated: 19 Feb 13
%--------------------------------------------------------------------------


nonoisepevent = zeros(5);
count = 1;

for f = 1:length(pevent)
    if pevent(f,4) ~=24 && pevent(f,5) ~=37
        nonoisepevent(count,:) = pevent(f,:);
        count = count +1;
    elseif pevent(f,2)>=5
        nonoisepevent(count,:) = pevent(f,:);
        count = count +1;
    end
    
    
end

spevent = sortrows(nonoisepevent,1);
%newnumbering = zeros(length(spevent));
newnumbering(1) = 1;

for i = 1:length(spevent)
    if i ==1
        newnumbering(1,1) = 1;
    elseif i ~=1 && spevent(i) == spevent(i-1)
        newnumbering(i) = newnumbering(i-1);
    elseif i~=1 && spevent(i) ~=spevent(i-1)
        newnumbering(i) = newnumbering(i-1)+1;
    else
        disp('fail')
    end
end

spevent(:,1) = newnumbering;

